#include <Arduino.h>
#include "A4988.h"

//pinout node board
#define A4988_EN        6
#define A4988_STEP      5
#define A4988_DIR       4
#define COM_RX          0
#define COM_TX          1
#define LED_POWER       2
#define LED_STATUS      3

//Stepper
#define MOTOR_STEPS 48

//Commands


A4988 stepper(MOTOR_STEPS, A4988_DIR, A4988_STEP, A4988_EN);

void setup() 
{
    pinMode(LED_POWER, OUTPUT);
    pinMode(LED_STATUS, OUTPUT);
    pinMode(A4988_EN, OUTPUT);
    pinMode(A4988_STEP, OUTPUT);
    pinMode(A4988_DIR, OUTPUT);
    Serial.begin(19600);
    digitalWrite(LED_POWER, HIGH);
    pinMode(COM_TX, INPUT); //configures tx as input so the communication bus is open and other nodes can connect

    stepper.begin(20, 1); //20rpm full step
}

void loop() 
{
    digitalWrite(LED_STATUS, HIGH);
    delay(500);
    digitalWrite(LED_STATUS, LOW);
    delay(500);

    //stepper.rotate(360);
}
